# SvnLogTask

Extends \SvnBaseTask

Stores the output of a log command on a workingcopy or repositoryurl in a property.

This stems from the SvnLastRevisionTask.

author | Anton Stöckl anton@stoeckl.de
author | Michiel Rook mrook@php.net (SvnLastRevisionTask)
version | $Id: 7e1ed209fca1c776aa105241110a78a65284f6ae $
package | phing.tasks.ext.svn
see |
since | 2.1.0

### Methods

## Returns the depth switch

    getDepth()

inherited

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## Returns the force switch

    getForce()

inherited

## Returns the ignore-externals switch

    getIgnoreExternals()

inherited

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## Returns the no-auth-cache switch

    getNoCache()

inherited

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Returns the password

    getPassword()

inherited

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns the name of the property to use

    getPropertyName()

## Returns the recursive switch

    getRecursive()

inherited

deprecated |

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Returns the path/URI to the repository

    getRepositoryUrl()

inherited

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## Returns the path to the SVN executable

    getSvnPath()

inherited

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Returns the path to export/checkout to

    getToDir()

inherited

## Returns the trust-server-cert switch

    getTrustServerCert()

inherited

## Returns the username

    getUsername()

inherited

## Returns the path to the workingcopy

    getWorkingCopy()

inherited

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## Sets the depth switch

    setDepth( $value)

inherited

### Arguments

#### $value

``

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## Sets the force switch

    setForce( $value)

inherited

### Arguments

#### $value

``

## Sets whether to force compatibility with older SVN versions (< 1.2)

    setForceCompatible( $force)

deprecated |

### Arguments

#### $force

``

## Sets the ignore-externals switch

    setIgnoreExternals( $value)

inherited

### Arguments

#### $value

``

## Sets the max num of log entries to get from svn

    setLimit( $limit)

### Arguments

#### $limit

``

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the no-auth-cache switch

    setNoCache( $value)

inherited

### Arguments

#### $value

``

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## Sets the password of the user to export

    setPassword( $value)

inherited

### Arguments

#### $value

``

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Sets the name of the property to use

    setPropertyName( $propertyName)

### Arguments

#### $propertyName

``

## Sets the recursive switch

    setRecursive( $value)

inherited

deprecated |

### Arguments

#### $value

``

## Sets the path/URI to the repository

    setRepositoryUrl( $repositoryUrl)

inherited

### Arguments

#### $repositoryUrl

``

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the path to the SVN executable

    setSvnPath( $svnPath)

inherited

### Arguments

#### $svnPath

``

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

## Sets the path to export/checkout to

    setToDir( $toDir)

inherited

### Arguments

#### $toDir

``

## Sets the trust-server-cert switch

    setTrustServerCert( $value)

inherited

### Arguments

#### $value

``

## Creates a VersionControl_SVN class based on $mode

    setup( $mode)

inherited

throws |

### Arguments

#### $mode

``

## Sets the username of the user to export

    setUsername( $value)

inherited

### Arguments

#### $value

``

## Sets the path to the workingcopy

    setWorkingCopy( $workingCopy)

inherited

### Arguments

#### $workingCopy

``

### Properties

## propertyName

    propertyName :

### Type(s)

``

## limit

    limit :

### Type(s)

``

## workingCopy

    workingCopy : string

inherited

var |

### Type(s)

`string`

## repositoryUrl

    repositoryUrl : string

inherited

var |

### Type(s)

`string`

## svnPath

    svnPath : string

inherited

var |

### Type(s)

`string`

## svn

    svn :

inherited

### Type(s)

``

## mode

    mode :

inherited

### Type(s)

``

## svnArgs

    svnArgs :

inherited

### Type(s)

``

## svnSwitches

    svnSwitches :

inherited

### Type(s)

``

## toDir

    toDir :

inherited

### Type(s)

``

## fetchMode

    fetchMode :

inherited

### Type(s)

``

## oldVersion

    oldVersion :

inherited

### Type(s)

``

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`